<template>
  <div class="full-w-h lists">
    <cross-rank ref="crossRank" @crossChange="crossChange" style="height: 50%"/>
    <line-rank ref="lineRank" @lineChange="lineChange" style="height: 50%"/>
<!--    <w-map map-id="signal-eva-map" ref="map" style="height: 33%"/>-->
  </div>
</template>

<script>
import * as mapTool from '@/utils/mapboxTools'
import CrossRank from "@/views/signalEvaluation/leftLists/components/crossRank.vue";
import LineRank from "@/views/signalEvaluation/leftLists/components/lineRank.vue";
import WMap from "@/components/Standard/mapMapbox.vue";
import {allCamera} from "@/common/api/signalEvaluation";
import mapAssets from "@/config/holo/mapAssets";
let map = null
export default {
  name: 'leftLists',
  components: {WMap, LineRank, CrossRank},
  mounted(){
    // map = this.$refs.map.initMap({zoom: 17.8})
    // map.on('style.load',()=>{
    // })

  },
  methods:{
    crossChange(e){
      // map?.flyTo({center:[e.longitude,e.latitude]})
      this.$emit('crossChange',e)
      this.$refs.lineRank.resetHighLight()
    },
    lineChange(e){
      this.$emit('lineChange',e)
      this.$refs.crossRank.resetHighLight()
    }
  }
}
</script>

<style lang="less" scoped>
.lists{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
</style>